# -*- encoding : utf-8 -*-

class Admin::MOdrProductSizesController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @m_odr_product_sizes = MOdrProductSize.all

    @m_odr_product_sizes = sort_by_sorting(@m_odr_product_sizes, "id DESC")
    respond_to do |format|
      format.html{
      
        params[:search][:per_page] = params[:search][:per_page] || 100
        per_page = params[:search][:per_page]
        page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        @m_odr_product_sizes = @m_odr_product_sizes.page(page).per(per_page)
      
      }
    end
  end

  def show
    @m_odr_product_size = MOdrProductSize.find(params[:id])

  end

  def new
    @m_odr_product_size = MOdrProductSize.new
  
  end

  def edit
    @m_odr_product_size = MOdrProductSize.find(params[:id])
    
  end

  def create
    @m_odr_product_size = MOdrProductSize.new(params.require(:m_odr_product_size).permit!)

    if @m_odr_product_size.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @m_odr_product_size = MOdrProductSize.find(params[:id])


    if @m_odr_product_size.update_attributes(params.require(:m_odr_product_size).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @m_odr_product_size = MOdrProductSize.find(params[:id])
    @m_odr_product_size.destroy
    
  end
end
